<?php namespace Anomaly\TemplatesModule\Route\Table;

use Anomaly\Streams\Platform\Ui\Table\TableBuilder;

/**
 * Class RouteTableBuilder
 *
 * @link   http://pyrocms.com/
 * @author PyroCMS, Inc. <support@pyrocms.com>
 * @author Ryan Thompson <ryan@pyrocms.com>
 */
class RouteTableBuilder extends TableBuilder
{

    /**
     * The table filters.
     *
     * @var array|string
     */
    protected $filters = [
        'search' => [
            'fields' => [
                'uri',
            ],
        ],
    ];

    /**
     * The table actions.
     *
     * @var array|string
     */
    protected $actions = [
        'delete',
    ];

    /**
     * The table columns.
     *
     * @var array
     */
    protected $columns = [
        'uri',
        'entry.template.location()' => [
            'wrapper' => '<code>{value}</code>',
        ],
    ];
}
